desde que instalé Xcode 7.1.1 y updatet en osx 10.11.1 me sale un error de git

Como mencioné en el tema, actualicé xcode a la versión 7.1.1 y osx a la versión 10.11.1 después de eso recibí errores al tratar de comstackr un proyecto con las unidades de cocoa dentro. Cuando bash ejecutar "pod install" recibo:

Creando un clon superficial del master repo de especificación de https://github.com/CocoaPods/Specs.git [!] No se puede agregar una fuente con url https://github.com/CocoaPods/Specs.git named master . Puede intentar agregarlo manualmente en ~/.cocoapods/repos o vía pod repo add .

Traté de agregar el repository manualmente pero luego recibí:

[!] / usr / bin / git clonar https://github.com/CocoaPods/Specs.git master

sh: línea 1: 3405 Error de segmentación: 11 / Aplicaciones / Xcode.app/Contents/Developer/usr/bin/xcodebuild -sdk / -find git 2> / dev / null git: error: no se puede encontrar la utilidad "git", no es una herramienta de desarrollador o en PATH

cuando traté de usar "git –version" obtengo:

sh: línea 1: 3408 Error de segmentación: 11 / Aplicaciones / Xcode.app/Contents/Developer/usr/bin/xcodebuild -sdk / -find git 2> / dev / null git: error: no se puede encontrar la utilidad "git", no es una herramienta de desarrollador o en PATH

Así que intenté agregar la RUTA manualmente pero no pude hacerlo funcionar mi echo $ PATH ofrece:

/usr/local/mysql/bin:/Library/Frameworks/Python.framework/Versions/2.7/bin:/Library/Frameworks/Python.framework/Versions/3.4/bin:/usr/local/bin:/usr/bin : / bin: / usr / sbin: / sbin

y mi eco $ DYLD_LIBRARY_PATH:

/ usr / local / mysql / lib /

¿Alguien tiene una pista de cómo puedo solucionar ese problema?

muchas gracias 🙂

Hoy tuve el mismo error.

1) cd ~/.cocoapods/repos

2) git clone git://github.com/CocoaPods/Specs.git master (uso del protocolo git , fallé cuando bash hacerlo a través de https)

3) pod install --no-repo-update --verbose

No tuve exactamente el mismo problema con cocoapods, pero también recibí el error de git después de actualizar a Xcode 7.1.1 (todavía en OSX 10.10.5):

 error: unable to find utility "git", not a developer tool or in PATH 

Simplemente reiniciar el terminal me solucionó el problema.